Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcproj
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcproj	(revision 776)
+++ 	(revision )
@@ -1,638 +1,0 @@
-<?xml version="1.0" encoding="shift_jis"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="ab_common"
-	ProjectGUID="{87835C33-64C9-4BA5-9B39-608BA5394387}"
-	RootNamespace="ab_common"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-		<Platform
-			Name="x64"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
-			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalOptions="/MP"
-				Optimization="0"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="false"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Debug|x64"
-			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
-			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				TargetEnvironment="3"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalOptions="/MP"
-				Optimization="0"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="false"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
-			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalOptions="/MP"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				RuntimeLibrary="0"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|x64"
-			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
-			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				TargetEnvironment="3"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalOptions="/MP"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				RuntimeLibrary="0"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="ソース ファイル"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\Environment.cpp"
-				>
-			</File>
-			<File
-				RelativePath=".\malloc.c"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-						DisableSpecificWarnings="4267"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|x64"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="3"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-						DisableSpecificWarnings="4267"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|x64"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stdafx.cpp"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|x64"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|x64"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-			</File>
-			<Filter
-				Name="Lexical"
-				>
-				<File
-					RelativePath=".\src\Lexical\Class.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Const.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\DataTable.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Delegate.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Interface.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Member.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Meta.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Method.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Namespace.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\NamespaceSupporter.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\NativeCode.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\ObjectModule.cpp"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|x64"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							AdditionalOptions="/bigobj"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|x64"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							AdditionalOptions="/bigobj"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Parameter.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Procedure.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Source.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Symbol.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Template.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Type.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\TypeDef.cpp"
-					>
-				</File>
-				<File
-					RelativePath=".\src\Lexical\Variable.cpp"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="ResourceManager"
-				>
-				<File
-					RelativePath=".\src\ResourceManager\ResourceManager.cpp"
-					>
-				</File>
-			</Filter>
-		</Filter>
-		<Filter
-			Name="ヘッダー ファイル"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\include\ab_common.h"
-				>
-			</File>
-			<File
-				RelativePath=".\include\BasicFixed.h"
-				>
-			</File>
-			<File
-				RelativePath=".\include\Environment.h"
-				>
-			</File>
-			<File
-				RelativePath=".\include\libs.h"
-				>
-			</File>
-			<File
-				RelativePath=".\stdafx.h"
-				>
-			</File>
-			<Filter
-				Name="Lexical"
-				>
-				<File
-					RelativePath=".\include\Lexical\Class.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Const.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\DataTable.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Delegate.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Interface.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Member.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Meta.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Method.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Namespace.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\NamespaceSupporter.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\NativeCode.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\ObjectModule.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Parameter.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Procedure.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Prototype.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\RelationalObjectModuleItem.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Resolver.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Source.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Symbol.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Template.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Type.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\TypeDef.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\TypeMisc.h"
-					>
-				</File>
-				<File
-					RelativePath=".\include\Lexical\Variable.h"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="ResourceManager"
-				>
-				<File
-					RelativePath=".\include\ResourceManager\ResourceManager.h"
-					>
-				</File>
-			</Filter>
-		</Filter>
-		<Filter
-			Name="リソース ファイル"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj	(revision 777)
+++ branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj	(revision 777)
@@ -0,0 +1,226 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{87835C33-64C9-4BA5-9B39-608BA5394387}</ProjectGuid>
+    <RootNamespace>ab_common</RootNamespace>
+    <Keyword>Win32Proj</Keyword>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <WholeProgramOptimization>false</WholeProgramOptimization>
+    <PlatformToolset>Windows7.1SDK</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <PlatformToolset>Windows7.1SDK</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <WholeProgramOptimization>false</WholeProgramOptimization>
+    <PlatformToolset>Windows7.1SDK</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <WholeProgramOptimization>false</WholeProgramOptimization>
+    <PlatformToolset>Windows7.1SDK</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup>
+    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)-$(Platform)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)-$(Platform)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Configuration)-$(Platform)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Configuration)-$(Platform)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)-$(Platform)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)-$(Platform)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Configuration)-$(Platform)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Configuration)-$(Platform)\</IntDir>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <AdditionalOptions>/MP %(AdditionalOptions)</AdditionalOptions>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>..\..\;..\..\cpplibs\boost;include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>false</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <PrecompiledHeader>Use</PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <AdditionalOptions>/MP %(AdditionalOptions)</AdditionalOptions>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>..\..\;..\..\cpplibs\boost;include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>false</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <PrecompiledHeader>Use</PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <AdditionalOptions>/MP %(AdditionalOptions)</AdditionalOptions>
+      <AdditionalIncludeDirectories>..\..\;..\..\cpplibs\boost;include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <PrecompiledHeader>Use</PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <AdditionalOptions>/MP %(AdditionalOptions)</AdditionalOptions>
+      <AdditionalIncludeDirectories>..\..\;..\..\cpplibs\boost;include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <PrecompiledHeader>Use</PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="src\Environment.cpp" />
+    <ClCompile Include="malloc.c">
+      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">USE_DL_PREFIX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+      </PrecompiledHeader>
+      <DisableSpecificWarnings Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">4267;%(DisableSpecificWarnings)</DisableSpecificWarnings>
+      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">USE_DL_PREFIX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+      </PrecompiledHeader>
+      <Optimization Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Full</Optimization>
+      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">USE_DL_PREFIX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+      </PrecompiledHeader>
+      <DisableSpecificWarnings Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">4267;%(DisableSpecificWarnings)</DisableSpecificWarnings>
+      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Release|x64'">USE_DL_PREFIX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+      </PrecompiledHeader>
+    </ClCompile>
+    <ClCompile Include="stdafx.cpp">
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Class.cpp" />
+    <ClCompile Include="src\Lexical\Const.cpp" />
+    <ClCompile Include="src\Lexical\DataTable.cpp" />
+    <ClCompile Include="src\Lexical\Delegate.cpp" />
+    <ClCompile Include="src\Lexical\Interface.cpp" />
+    <ClCompile Include="src\Lexical\Member.cpp" />
+    <ClCompile Include="src\Lexical\Meta.cpp" />
+    <ClCompile Include="src\Lexical\Method.cpp" />
+    <ClCompile Include="src\Lexical\Namespace.cpp" />
+    <ClCompile Include="src\Lexical\NamespaceSupporter.cpp" />
+    <ClCompile Include="src\Lexical\NativeCode.cpp" />
+    <ClCompile Include="src\Lexical\ObjectModule.cpp">
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+      </PrecompiledHeader>
+      <AdditionalOptions Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">/bigobj %(AdditionalOptions)</AdditionalOptions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+      </PrecompiledHeader>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+      </PrecompiledHeader>
+      <AdditionalOptions Condition="'$(Configuration)|$(Platform)'=='Release|x64'">/bigobj %(AdditionalOptions)</AdditionalOptions>
+      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+      </PrecompiledHeader>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Parameter.cpp" />
+    <ClCompile Include="src\Lexical\Procedure.cpp" />
+    <ClCompile Include="src\Lexical\Source.cpp" />
+    <ClCompile Include="src\Lexical\Symbol.cpp" />
+    <ClCompile Include="src\Lexical\Template.cpp" />
+    <ClCompile Include="src\Lexical\Type.cpp" />
+    <ClCompile Include="src\Lexical\TypeDef.cpp" />
+    <ClCompile Include="src\Lexical\Variable.cpp" />
+    <ClCompile Include="src\ResourceManager\ResourceManager.cpp" />
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="include\ab_common.h" />
+    <ClInclude Include="include\BasicFixed.h" />
+    <ClInclude Include="include\Environment.h" />
+    <ClInclude Include="include\libs.h" />
+    <ClInclude Include="stdafx.h" />
+    <ClInclude Include="include\Lexical\Class.h" />
+    <ClInclude Include="include\Lexical\Const.h" />
+    <ClInclude Include="include\Lexical\DataTable.h" />
+    <ClInclude Include="include\Lexical\Delegate.h" />
+    <ClInclude Include="include\Lexical\Interface.h" />
+    <ClInclude Include="include\Lexical\Member.h" />
+    <ClInclude Include="include\Lexical\Meta.h" />
+    <ClInclude Include="include\Lexical\Method.h" />
+    <ClInclude Include="include\Lexical\Namespace.h" />
+    <ClInclude Include="include\Lexical\NamespaceSupporter.h" />
+    <ClInclude Include="include\Lexical\NativeCode.h" />
+    <ClInclude Include="include\Lexical\ObjectModule.h" />
+    <ClInclude Include="include\Lexical\Parameter.h" />
+    <ClInclude Include="include\Lexical\Procedure.h" />
+    <ClInclude Include="include\Lexical\Prototype.h" />
+    <ClInclude Include="include\Lexical\RelationalObjectModuleItem.h" />
+    <ClInclude Include="include\Lexical\Resolver.h" />
+    <ClInclude Include="include\Lexical\Source.h" />
+    <ClInclude Include="include\Lexical\Symbol.h" />
+    <ClInclude Include="include\Lexical\Template.h" />
+    <ClInclude Include="include\Lexical\Type.h" />
+    <ClInclude Include="include\Lexical\TypeDef.h" />
+    <ClInclude Include="include\Lexical\TypeMisc.h" />
+    <ClInclude Include="include\Lexical\Variable.h" />
+    <ClInclude Include="include\ResourceManager\ResourceManager.h" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters	(revision 777)
+++ branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters	(revision 777)
@@ -0,0 +1,195 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
+      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl;inc;xsd</Extensions>
+    </Filter>
+    <Filter Include="Header Files\Lexical">
+      <UniqueIdentifier>{7dee9fae-bd04-4a86-af45-86bca352e084}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\ResourceManager">
+      <UniqueIdentifier>{5e5eb6cc-8677-4273-937e-a968f6c289a9}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
+      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
+    </Filter>
+    <Filter Include="Source Files\Lexical">
+      <UniqueIdentifier>{d95771b6-b211-4bd9-a009-f6a4675bbef8}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\ResourceManager">
+      <UniqueIdentifier>{54de5023-a27f-4152-ac06-485867ae0371}</UniqueIdentifier>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="src\Environment.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="malloc.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="stdafx.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Class.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Const.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\DataTable.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Delegate.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Interface.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Member.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Meta.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Method.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Namespace.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\NamespaceSupporter.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\NativeCode.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\ObjectModule.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Parameter.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Procedure.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Source.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Symbol.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Template.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Type.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\TypeDef.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Lexical\Variable.cpp">
+      <Filter>Source Files\Lexical</Filter>
+    </ClCompile>
+    <ClCompile Include="src\ResourceManager\ResourceManager.cpp">
+      <Filter>Source Files\ResourceManager</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="include\ab_common.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="include\BasicFixed.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Environment.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="include\libs.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="stdafx.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Class.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Const.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\DataTable.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Delegate.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Interface.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Member.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Meta.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Method.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Namespace.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\NamespaceSupporter.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\NativeCode.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\ObjectModule.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Parameter.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Procedure.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Prototype.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\RelationalObjectModuleItem.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Resolver.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Source.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Symbol.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Template.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Type.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\TypeDef.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\TypeMisc.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Lexical\Variable.h">
+      <Filter>Header Files\Lexical</Filter>
+    </ClInclude>
+    <ClInclude Include="include\ResourceManager\ResourceManager.h">
+      <Filter>Header Files\ResourceManager</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
